## mmpong 0.9.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
IF(NOT CMAKE_MAJOR_VERSION EQUAL 2 OR NOT CMAKE_MINOR_VERSION EQUAL 4)
        CMAKE_POLICY(SET CMP0003 NEW)
        CMAKE_POLICY(SET CMP0005 NEW)
        CMAKE_POLICY(SET CMP0006 NEW) #MAC OSX BUNDLE
ENDIF(NOT CMAKE_MAJOR_VERSION EQUAL 2 OR NOT CMAKE_MINOR_VERSION EQUAL 4)

PROJECT(mmpong)

FIND_PACKAGE(Subversion)
IF(Subversion_FOUND AND EXISTS .svn)
	Subversion_WC_INFO( ${CMAKE_SOURCE_DIR} MMPONG )
	MESSAGE(STATUS "Compiling SVN revision ${MMPONG_WC_REVISION}")
ENDIF(Subversion_FOUND AND EXISTS .svn)

IF(CMAKE_SYSTEM_NAME STREQUAL "Windows")
	MESSAGE(STATUS "Compiling for capitalist Windows OS")
ENDIF(CMAKE_SYSTEM_NAME STREQUAL "Windows")

STRING(COMPARE EQUAL "${CMAKE_BINARY_DIR}" "${CMAKE_SOURCE_DIR}" INSOURCE)
IF(INSOURCE)
        MESSAGE(FATAL_ERROR "Please do an out-of-source build:\ncd build\ncmake ..\nmake\n\nDon't forget to remove CMakeFiles and CMakeCache.txt before performing an out-of-source build!\n\n")
ENDIF(INSOURCE)

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR})
SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR})
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
SET(INC_DIR_LIB ${CMAKE_SOURCE_DIR}/lib)

ADD_SUBDIRECTORY(lib)
ADD_SUBDIRECTORY(server)
ADD_SUBDIRECTORY(client_caca)
ADD_SUBDIRECTORY(client_gl)

=== Makefile ===
-include Makefile.def
.PHONY: all clean FORCE depend lib daemon server client_caca client_gl

#Aliases
.DEFAULT_GOAL := everything
everything: all
lib: lib$(NAME).so
daemon server: $(NAME)d
client-caca: $(NAME)
client-gl: $(NAME)-gl

#FORCE target... do not remove
FORCE:

H_CONFIGS = $(subst ./,,$(shell find . -name "config*.h.in" -and -not -path './test/*'))
$(H_CONFIGS:.h.in=.h): FORCE $(@:.h=.h.in)
	@if [ ! -f .configured ]; then\
		$(ECHO) -e '\033[32mConfiguring';\
		$(RST);\
	fi
	@sed -e "s/\$${SVN_REV}/${SVN_REV}/g"\
		-e "s/\$${SERVER_RES_PATH}/${SERVER_RES_PATH}/g"\
		-e "s/\$${LIB_RES_PATH}/${LIB_RES_PATH}/g"\
		-e "s/\$${CLIENT_GL_RES_PATH}/${CLIENT_GL_RES_PATH}/g"\
		-e "s/\$${CLIENT_CACA_RES_PATH}/${CLIENT_CACA_RES_PATH}/g"\
		$@.in >$@.temp
	@cmp -s $@.temp $@ || (if [ ! -f .configured ]; then echo "Revision update detected"; fi; mv $@.temp $@)
	@touch .configured
	@rm -f $@.temp

sizeof.h:
	@($(CC) -o test/sizeof test/sizeof.c) && (test/sizeof > sizeof.h)
	
# source list:
C_SOURCES = $(subst ./,,$(shell find . -name "*.c" -and -not -path './test/*'))
CC_SOURCES = $(subst ./,,$(shell find . -name "*.cpp" -and -not -path './test/*'))

#compiler and linker calls respecting dependencies
all $(NAME)d $(NAME) $(NAME)-gl lib$(NAME).so: sizeof.h depend FORCE
	$(MAKE) $(MAKEFLAGS) -f Makefile.inner $@

help:
	@$(ECHO) -e "\nMake targets:"
	@$(ECHO) -e "lib\t(a.k.a. libmmpong.so)\n\t-- Builds the mmpong shared library, on which all the other targets are based"
	@$(ECHO) -e "server\t(a.k.a. daemon, mmpongd)\n\t-- Builds the daemon binary"
	@$(ECHO) -e "client-caca\t(a.k.a. mmpong)\n\t-- Builds the libcaca-based client"
	@$(ECHO) -e "client-gl\t(a.k.a. mmpong-gl)\n\t-- Builds the SDL-based client"
	@$(ECHO) -e "flags\n\t-- Show the compiler flags to be used during the build"

flags:
	@$(ECHO) -e '\nCompiles with SERVER_CFLAGS:\n$(SERVER_CFLAGS)\n'
	@$(ECHO) -e 'Links with SERVER_LDLIBS:\n$(SERVER_LDLIBS)\n'
	@$(ECHO) -e '\nCompiles with CLIENT_CACA_CFLAGS:\n$(CLIENT_CACA_CFLAGS)\n'
	@$(ECHO) -e 'Links with CLIENT_CACA_LDLIBS:\n$(CLIENT_CACA_LDLIBS)\n'
	@$(ECHO) -e '\nCompiles with CLIENT_GL_CFLAGS:\n$(CLIENT_GL_CFLAGS)\n'
	@$(ECHO) -e 'Links with CLIENT_GL_LDLIBS:\n$(CLIENT_GL_LDLIBS)\n'

#dependency resolver
depend: FORCE $(H_CONFIGS:.h.in=.h)
	@$(ECHO) -e '\033[32mResolving dependencies\033[31m'
	@rm -f .configured .Makefile.depend
ifneq ("$(strip $(C_SOURCES))","")
	@$(CC) $(ALL_CFLAGS) -I. -MM $(C_SOURCES) 2>/dev/null | sed -e 's/.*: \(.*\/\).*\.c/\1\0/' | sed -e 's/.*:/build\/&/' >> .Makefile.depend
endif
ifneq ($(strip $(CC_SOURCES)),)
	@$(CXX) $(ALL_CXXFLAGS) -I. -MM $(CC_SOURCES) 2>/dev/null | sed -e 's/.*: \(.*\/\).*\.cpp/\1\0/' | sed -e 's/.*:/build\/&/' >> .Makefile.depend
endif
	@$(RST)

clean:	
	@rm -rf $(OBJDIR)
	@rm -f $(NAME) $(NAME)-gl $(NAME)d lib$(NAME).so .Makefile.depend test/sizeof sizeof.h */config.h
#	@rm -rf ./doc/

=== client_caca/CMakeLists.txt ===
SET( CLIENT_CACA_SOURCES
	client.c
)
SET( SVN_REV "${MMPONG_WC_REVISION}" )

SET( CONFIGURE_DIR "${CMAKE_CURRENT_BINARY_DIR}")
CONFIGURE_FILE ( config.h.in ${CONFIGURE_DIR}/config.h )

FIND_PACKAGE(PkgConfig REQUIRED)
PKG_SEARCH_MODULE( CACA caca)
IF(CACA_FOUND)
	MESSAGE(STATUS "found libcaca: enabling client-caca.")
	ADD_EXECUTABLE( mmpong-caca ${CLIENT_CACA_SOURCES})
	INCLUDE_DIRECTORIES( mmpong-caca ${INC_DIR_LIB} ${CACA_INCLUDE_DIRS}
			${CMAKE_SOURCE_DIR} ${CONFIGURE_DIR})
	TARGET_LINK_LIBRARIES( mmpong-caca libmmpong ${CACA_LIBRARIES})
	INSTALL(TARGETS mmpong-caca RUNTIME DESTINATION games)
ELSE(CACA_FOUND)
	MESSAGE(STATUS "could not find libcaca: disabling client-caca.")
ENDIF(CACA_FOUND)

=== client_gl/CMakeLists.txt ===
SET( CLIENT_GL TRUE)
SET( CLIENT_GL_SOURCES
	client.cpp
	game.cpp
	glhelper.cpp
	gui.cpp
	netgame.cpp
	renderer.cpp
	resource.cpp
)
SET( SVN_REV "${MMPONG_WC_REVISION}" )


FIND_PACKAGE(SDL)
IF(SDL_FOUND)
	MESSAGE(STATUS "found SDL!")
ELSE(SDL_FOUND)
	SET(CLIENT_GL FALSE)
ENDIF(SDL_FOUND)

FIND_PACKAGE(SDL_image)
IF(SDLIMAGE_FOUND)
	MESSAGE(STATUS "found SDLIMAGE!")
ELSE(SDLIMAGE_FOUND)
	SET(CLIENT_GL FALSE)
ENDIF(SDLIMAGE_FOUND)

FIND_PACKAGE(SDL_mixer)
IF(SDLMIXER_FOUND)
	MESSAGE(STATUS "found SDLMIXER!")
ELSE(SDLMIXER_FOUND)
	SET(CLIENT_GL FALSE)
ENDIF(SDLMIXER_FOUND)

FIND_PACKAGE(OpenGL)
IF(OPENGL_FOUND)
	MESSAGE(STATUS "found OpenGL!")
ELSE(OPENGL_FOUND)
	SET(CLIENT_GL FALSE)
ENDIF(OPENGL_FOUND)

FIND_PACKAGE(PkgConfig)
IF(PKG_CONFIG_FOUND)
	MESSAGE(STATUS "found pkg-config!")
	PKG_SEARCH_MODULE(CEGUI CEGUI-OPENGL)
	IF(CEGUI_FOUND)
		MESSAGE(STATUS "found CEGUI! ${CEGUI_LIBRARIES} ${CEGUI_INCLUDE_DIRS}")
	ENDIF(CEGUI_FOUND)
ENDIF(PKG_CONFIG_FOUND)

IF(NOT CEGUI_FOUND)
	SET(CEGUI_LIBRARIES "NOTFOUND" CACHE STRING "Path to library")
	SET(CEGUI_LINK_DIRS "" CACHE STRING "Path to libraries")
	SET(CEGUI_INCLUDE_DIRS "NOTFOUND" CACHE STRING "Path to includes")
	SET(CLIENT_GL FALSE CACHE BOOL "manually set flag")
ENDIF(NOT CEGUI_FOUND)

IF(CLIENT_GL)
	MESSAGE(STATUS "activating mmpong-gl.")
	LINK_DIRECTORIES(${CEGUI_LINK_DIRS})
	IF(APPLE)
		SET(CLIENT_GL_SOURCES ${CLIENT_GL_SOURCES} macosx/SDLMain.m)
		SET(MACOSX_BUNDLE_ICON_FILE mmpong.icns)
		ADD_EXECUTABLE( mmpong-gl MACOSX_BUNDLE ${CLIENT_GL_SOURCES})

		SET (DMG_FILE "${CMAKE_BINARY_DIR}/mmpong.dmg")
		#populate bundle
		ADD_CUSTOM_COMMAND(TARGET mmpong-gl POST_BUILD

			COMMAND mkdir
			ARGS -p 
			${CMAKE_BINARY_DIR}/mmpong-gl.app/Contents/Resources/images
			${CMAKE_BINARY_DIR}/mmpong-gl.app/Contents/Resources/icon
			${CMAKE_BINARY_DIR}/mmpong-gl.app/Contents/Frameworks
		
			COMMAND cp
			ARGS ${CMAKE_SOURCE_DIR}/resources/icon/mmpong.png
			${CMAKE_BINARY_DIR}/mmpong-gl.app/Contents/Resources/icon/

			COMMAND cp
			ARGS ${CMAKE_SOURCE_DIR}/resources/icon/mmpong.png
			${CMAKE_SOURCE_DIR}/resources/images/*.png
			${CMAKE_BINARY_DIR}/mmpong-gl.app/Contents/Resources/images/

			COMMAND cp
			ARGS -R
			${CMAKE_BINARY_DIR}/mmpong.framework
			/Library/Frameworks/SDL.framework
			/Library/Frameworks/SDL_image.framework
			/Library/Frameworks/SDL_mixer.framework
			${CMAKE_BINARY_DIR}/mmpong-gl.app/Contents/Frameworks/
			
			COMMAND cp
			ARGS -R
			${CMAKE_SOURCE_DIR}/resources/icon/mmpong.icns
			${CMAKE_SOURCE_DIR}/resources/sounds
			${CMAKE_SOURCE_DIR}/resources/CEGUI
			/Library/Frameworks/CEGUI.framework
			/Library/Frameworks/CEGUIOpenGLRenderer.framework
			${CMAKE_BINARY_DIR}/mmpong-gl.app/Contents/Resources/
			
			COMMAND find
			ARGS 
			${CMAKE_BINARY_DIR}/mmpong-gl.app -name .svn | xargs rm -r

			COMMAND hdiutil
			ARGS create -srcfolder ${CMAKE_BINARY_DIR}/mmpong-gl.app ${DMG_FILE}
			-format UDBZ -volname mmpong -ov
		)
	
		SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
			${CMAKE_BINARY_DIR}/mmpong-gl.app
		)

	ELSEIF(WIN32)
		IF(MINGW)
			ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/mmpong_rc.o
				COMMAND windres.exe -i resources/win32/mmpong.rc
				-o ${CMAKE_CURRENT_BINARY_DIR}/mmpong_rc.o
				WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
		SET(CLIENT_GL_SOURCES ${CLIENT_GL_SOURCES}
			${CMAKE_CURRENT_BINARY_DIR}/mmpong_rc.o)
		ENDIF(MINGW)
		ADD_EXECUTABLE( mmpong-gl WIN32 ${CLIENT_GL_SOURCES})
	ELSE(APPLE)
		ADD_EXECUTABLE( mmpong-gl ${CLIENT_GL_SOURCES})
		SET( CLIENT_GL_RES_PATH
"${CMAKE_INSTALL_PREFIX}/share/games/mmpong-gl/" )
	ENDIF(APPLE)

	SET( CONFIGURE_DIR "${CMAKE_CURRENT_BINARY_DIR}")
	CONFIGURE_FILE ( config.h.in ${CONFIGURE_DIR}/config.h )

	INCLUDE_DIRECTORIES( mmpong-gl ${INC_DIR_LIB} ${SDL_INCLUDE_DIR}
${SDLIMAGE_INCLUDE_DIR} ${SDLMIXER_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR}
${CEGUI_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CONFIGURE_DIR})
	TARGET_LINK_LIBRARIES( mmpong-gl libmmpong ${CEGUI_LIBRARIES} ${SDL_LIBRARY}
${SDLIMAGE_LIBRARY} ${SDLMIXER_LIBRARY} ${OPENGL_LIBRARIES})

	
	IF(NOT CMAKE_MAJOR_VERSION EQUAL 2 OR NOT CMAKE_MINOR_VERSION EQUAL 4)
		INSTALL(TARGETS mmpong-gl 
			RUNTIME DESTINATION games
			BUNDLE DESTINATION games
		)
	ELSEIF(NOT CMAKE_MAJOR_VERSION EQUAL 2 OR NOT CMAKE_MINOR_VERSION EQUAL 4)
		INSTALL(TARGETS mmpong-gl 
			RUNTIME DESTINATION games
		)
	ENDIF(NOT CMAKE_MAJOR_VERSION EQUAL 2 OR NOT CMAKE_MINOR_VERSION EQUAL 4)

	INSTALL(DIRECTORY 
		${PROJECT_SOURCE_DIR}/resources/CEGUI 
		${PROJECT_SOURCE_DIR}/resources/icon
		${PROJECT_SOURCE_DIR}/resources/images 
		${PROJECT_SOURCE_DIR}/resources/sounds

		DESTINATION share/games/mmpong-gl 

		PATTERN ".svn" EXCLUDE
		PATTERN "mmpong.ico" EXCLUDE
		PATTERN "mmpong.icns" EXCLUDE
	)

	INSTALL(DIRECTORY 
		${PROJECT_SOURCE_DIR}/resources/applications
		${PROJECT_SOURCE_DIR}/resources/icons

		DESTINATION share

		PATTERN ".svn" EXCLUDE
	)


ELSE(CLIENT_GL)
	MESSAGE(STATUS "disabling mmpong-gl because of missing dependencies.")
ENDIF(CLIENT_GL)

=== lib/CMakeLists.txt ===
SET( LIB_SOURCES
	badminton.c
	game.c
	helpers.c
	linear.c
	message.c
	padflat.c
	padround.c
)
SET( LIB_HEADERS
	badminton.h
	dllhelper.h
	game.h
	helpers.h
	linear.h
	message.h
	padflat.h
	padround.h
)
SET( LIB_LIBRARIES
	m
)

SET( LIB_VER_MAJ 0 )
SET( LIB_VER_MIN 9 )
SET( SVN_REV "${MMPONG_WC_REVISION}" )


IF(CMAKE_SYSTEM_NAME STREQUAL "Windows")
	SET( LIB_LIBRARIES ${LIB_LIBRARIES} ws2_32)
	ADD_DEFINITIONS( -DMMPONG_BUILD_DLL)
ENDIF(CMAKE_SYSTEM_NAME STREQUAL "Windows")

SET( CONFIGURE_DIR "${CMAKE_CURRENT_BINARY_DIR}")
CONFIGURE_FILE ( config.h.in ${CONFIGURE_DIR}/config.h )

CONFIGURE_FILE ( mmpong.pc.in ${CONFIGURE_DIR}/mmpong.pc @ONLY )

#shared
ADD_LIBRARY( libmmpong SHARED ${LIB_SOURCES} )
SET_TARGET_PROPERTIES( libmmpong PROPERTIES 
	OUTPUT_NAME "mmpong"
	CLEAN_DIRECT_OUTPUT 1
	SOVERSION "${LIB_VER_MAJ}.${LIB_VER_MIN}"
	VERSION "${LIB_VER_MAJ}.${LIB_VER_MIN}"
	PUBLIC_HEADER "${LIB_HEADERS}"
)
TARGET_LINK_LIBRARIES( libmmpong ${LIB_LIBRARIES})

#static
ADD_LIBRARY( libmmpong-static STATIC ${LIB_SOURCES} )
SET_TARGET_PROPERTIES( libmmpong-static PROPERTIES 
	OUTPUT_NAME "mmpong"
	CLEAN_DIRECT_OUTPUT 1
	SOVERSION "${LIB_VER_MAJ}.${LIB_VER_MIN}"
	VERSION "${LIB_VER_MAJ}.${LIB_VER_MIN}"
)
TARGET_LINK_LIBRARIES( libmmpong-static ${LIB_LIBRARIES})

IF(NOT CMAKE_MAJOR_VERSION EQUAL 2 OR NOT CMAKE_MINOR_VERSION EQUAL 4)
	INSTALL(TARGETS libmmpong libmmpong-static
  	LIBRARY DESTINATION lib
	  ARCHIVE DESTINATION lib
		PUBLIC_HEADER DESTINATION include/mmpong
	)
ELSEIF(NOT CMAKE_MAJOR_VERSION EQUAL 2 OR NOT CMAKE_MINOR_VERSION EQUAL 4)
	INSTALL(TARGETS libmmpong libmmpong-static
  	LIBRARY DESTINATION lib
	  ARCHIVE DESTINATION lib
	)
ENDIF(NOT CMAKE_MAJOR_VERSION EQUAL 2 OR NOT CMAKE_MINOR_VERSION EQUAL 4)

INSTALL(FILES ${CONFIGURE_DIR}/mmpong.pc 
	DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig
)

IF(APPLE)
	SET_TARGET_PROPERTIES( libmmpong PROPERTIES FRAMEWORK TRUE)
	
	ADD_CUSTOM_COMMAND(TARGET libmmpong POST_BUILD

		COMMAND install_name_tool
		-id @executable_path/../Frameworks/mmpong.framework/Versions/${LIB_VER_MAJ}.${LIB_VER_MIN}/mmpong
		${CMAKE_BINARY_DIR}/mmpong.framework/mmpong
	)
	SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
		${CMAKE_BINARY_DIR}/mmpong.framework
	)
ENDIF(APPLE)

=== server/CMakeLists.txt ===
SET( SERVER_SOURCES
	addrtable.c
	hashmap.c
	linklist.c
	main.c
	thread.c
)
SET( SVN_REV "${MMPONG_WC_REVISION}" )

FIND_PACKAGE(Threads)
IF(CMAKE_USE_PTHREADS_INIT)
	MESSAGE(STATUS "found pthreads: enabling server.")

	SET( CONFIGURE_DIR "${CMAKE_CURRENT_BINARY_DIR}")
	CONFIGURE_FILE ( config.h.in ${CONFIGURE_DIR}/config.h )

	INCLUDE(CheckTypeSize)
	SET(CMAKE_EXTRA_INCLUDE_FILES "netinet/in.h")
	CHECK_TYPE_SIZE( "void *" VOID_PTR_SIZE )
	CHECK_TYPE_SIZE( "unsigned" UNSIGNED_SIZE )
	CHECK_TYPE_SIZE( "in_addr_t" IN_ADDR_T_SIZE )
	CONFIGURE_FILE ( sizeof.h.in ${CONFIGURE_DIR}/sizeof.h )

	ADD_EXECUTABLE( mmpongd ${SERVER_SOURCES} )
	INCLUDE_DIRECTORIES( mmpongd ${INC_DIR_LIB} ${CMAKE_SOURCE_DIR} ${CONFIGURE_DIR})
	TARGET_LINK_LIBRARIES( mmpongd libmmpong ${CMAKE_THREAD_LIBS_INIT})
	INSTALL(TARGETS mmpongd RUNTIME DESTINATION games)
ELSE(CMAKE_USE_PTHREADS_INIT)
	MESSAGE(STATUS "could not find pthreads: disabling server.")
ENDIF(CMAKE_USE_PTHREADS_INIT)

=== debian/changelog ===
mmpong (0.9.1-3) unstable; urgency=low

  * Acknowledge NMU.
  * Add patch for RollupEnabled to RollUpEnabled. (Closes: #684602).
  * Add patch to remove Encoding from desktop file.
  * Move from CDBS build system to dh.
  * Use canonical VCS tags.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 30 Jun 2013 05:26:42 -0400

mmpong (0.9.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: client.cpp:276:71: error: 'usleep' was not declared in
    this scope": add patch from Cyril Roelandt (missing includes).
    (Closes: #672025)

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 May 2012 21:17:38 +0200

mmpong (0.9.1-2) unstable; urgency=low

  * Team upload.
  * Converted to quilt(3.0) format.
  * Fixed FTBFS due to API change in cegui (Closes: #642144).
  * Standards-Version: updated to 3.9.2 (no changes required).
  * Escaped dashes in manpage source (lintian warning).

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Sat, 10 Dec 2011 23:30:46 -0500

mmpong (0.9.1-1) unstable; urgency=low

  * New upstream release: replace non-free with free font (Closes: #543782)

 -- André Gaul <gaul@web-yard.de>  Thu, 01 Apr 2010 23:05:35 +0200

mmpong (0.9-4) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Remove trailing comma from mmpong-gl depends. (Closes: #538815).

 -- Barry deFreese <bdefreese@debian.org>  Thu, 13 Aug 2009 10:20:35 -0400

mmpong (0.9-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Remove trailing full-stop from Build-Depends
    (Closes: #536242, LP: #392217, Closes: #536242)

  [ Gonéri Le Bouder ]
  * Bump standard version to 3.8.2, no change
  * Add myself in uploader
  * Drop the dependency of mmpong-gl on libcegui-mk2-dev, #425983 is fixed now

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 23 Jul 2009 14:08:53 +0200

mmpong (0.9-2) unstable; urgency=low

  [ André Gaul ]
  * Depend on libcegui-mk2-dev to work around #425983 (Closes: #519359)
  * Vcs-*: move the package to Debian Games svn repository

  [ Gonéri Le Bouder ]
  * Add a comment in debian/control about #425983

 -- André Gaul <gaul@web-yard.de>  Sun, 15 Mar 2009 00:26:31 +0100

mmpong (0.9-1) unstable; urgency=low

  * Initial release (Closes: #511530)

 -- André Gaul <gaul@web-yard.de>  Fri, 09 Jan 2009 16:39:01 +0100

=== debian/control ===
Source: mmpong
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: André Gaul <gaul@web-yard.de>, Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 9), cmake, libsdl1.2-dev,
 libsdl-image1.2-dev, libsdl-mixer1.2-dev, libcaca-dev (>=0.99.beta16),
 libcegui-mk2-dev (>= 0.7), pkg-config
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/mmpong
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/mmpong/
Homepage: http://www.mmpong.net

Package: libmmpong0.9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: massively multiplayer pong game library (shared libraries)
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains shared libraries.

Package: libmmpong0.9-dev
Section: libdevel
Architecture: any
Depends: libmmpong0.9 (= ${binary:Version}), ${misc:Depends}
Description: massively multiplayer pong game library (development headers)
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains development files.

Package: mmpongd
Architecture: any
Depends: libmmpong0.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: massively multiplayer pong game server
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains the game server.

Package: mmpong-caca
Architecture: any
Depends: libmmpong0.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: massively multiplayer pong game client (caca version)
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains the game client (caca version).

# mmpong-gl depends on libcegui-mk2-dev as long as #425983 is not 
# fixed in libcegui-mk2
Package: mmpong-gl
Architecture: any
Depends: libmmpong0.9 (= ${binary:Version}),
 mmpong-gl-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: massively multiplayer pong game client (OpenGL version)
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains the game client (OpenGL version).

Package: mmpong-gl-data
Architecture: all
Depends: ttf-freefont, ${shlibs:Depends}, ${misc:Depends}
Description: massively multiplayer pong game client data (OpenGL version)
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains the game client data (OpenGL version).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_install:
	rm -f debian/tmp/usr/share/games/mmpong-gl/CEGUI/fonts/FreeSansBold.ttf
	rm -f debian/tmp/usr/share/games/mmpong-gl/CEGUI/copyright
	rm -f debian/tmp/usr/share/games/mmpong-gl/sounds/copyright
	dh_install

=== debian/watch ===
version=3
http://www.mmpong.net/trac/downloads/mmpong-(.*).tar.gz
